# Query Whitelist - DescribeExportLineRules

## Overview

Query Whitelist






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeExportLineRules`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **ResourceId** | string | UReach Resource ID |No|
| **RuleType** | string | Whitelist Type |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **WhiteListInfos** | array[[*WhiteListInfo*](#whitelistinfo)] | Whitelist Information |**Yes**|

#### Data Model


#### WhiteListInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RuleType** | string |  |No|
| **Name** | string |  |No|
| **Remark** | string |  |No|

## Example

### Request Example
    
```
https://api.zosoc.com/?Action=DescribeExportLineRules
&ProjectId=zchlfxWT
&ResourceId=XKFqHAZb
&RuleType=uLlscDuN
```

### Response Example
    
```json
{
  "Action": "DescribeExportLineRulesResponse",
  "Message": "iRagdsqr",
  "RetCode": 0,
  "WhiteListInfos": [
    {
      "Name": "sJHOQRtd",
      "Remark": "WbiABVTq",
      "RuleType": "eUtoKvDD"
    }
  ]
}
```





